OpenVDB 12.1.0

Loading...
Searching...
No Matches
LocalMovePointsOp< TreeT >::CopyIterator Struct Reference

`#include <openvdb/points/impl/PointMoveImpl.h>`

## Public Member Functions
| CopyIterator (const LeafT &leaf, const IndexPairArray &indices, IndexArray &offsets)
| operator bool () const
CopyIterator & | operator++ ()
Index | sourceIndex () const
Index | targetIndex () const

## Constructor & Destructor Documentation

## ◆ CopyIterator()

template<typename TreeT>

CopyIterator | ( | const LeafT & | leaf,
|  | const IndexPairArray & | indices,
|  | IndexArray & | offsets )
| inline

## Member Function Documentation

## ◆ operator bool()

template<typename TreeT>

operator bool | ( |  | ) | const
| inline

## ◆ operator++()

template<typename TreeT>

CopyIterator & operator++ | ( |  | ) |
| inline

## ◆ sourceIndex()

template<typename TreeT>

Index sourceIndex | ( |  | ) | const
| inline

## ◆ targetIndex()

template<typename TreeT>

Index targetIndex | ( |  | ) | const
| inline